package  com.aspose.ocr.standalone;

import com.aspose.ocr.*;
import com.aspose.ocr.OcrEngine;


import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;

public class ResourcesLoadingExample
{
      public void folderStreamExample()
      {
          OcrEngine ocrEngine = new OcrEngine();
          ocrEngine.setConfig( new OCRConfig());
          ocrEngine.setImage(ImageStream.fromFile("Path to picture file"));
          FolderStream folderStream = new FolderStream("Path to folder with unzipped resources");
          ocrEngine.setResource(folderStream);
      }

    public void fileInputStreamExample()
    {
        OcrEngine ocrEngine = new OcrEngine();
        ocrEngine.setConfig( new OCRConfig());
        String pictureFile = "Path to picture file";
        ocrEngine.setImage(ImageStream.fromFile(pictureFile));
        InputStream inputStream = null;
        try
        {
            inputStream = new FileInputStream("Path to folder with zipped resources");
        }
        catch (FileNotFoundException e)
        {
            e.printStackTrace();
        }
        ocrEngine.setResource(inputStream);
    }

    //It works faster than using FileInputStream
    public void zipFileStreamExample()
    {
        OcrEngine ocrEngine = new OcrEngine();
        ocrEngine.setConfig( new OCRConfig());
        String pictureFile = "Path to picture file";
        ocrEngine.setImage(ImageStream.fromFile(pictureFile));
        ZipFileStream zipFileStream = new ZipFileStream("Path to folder with zipped resources");
        ocrEngine.setResourceInternal(zipFileStream);
    }
}
